import * as z from 'zod';
export const PdfFileAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    filename: z.number(),
    pdfData: z.number(),
    uploadedAt: z.number(),
    groupId: z.number(),
    group: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    groupId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    groupId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    filename: z.string().nullable(),
    uploadedAt: z.date().nullable(),
    groupId: z.number().int().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    filename: z.string().nullable(),
    uploadedAt: z.date().nullable(),
    groupId: z.number().int().nullable()
  }).nullable().optional()});